package com.qmth.distributed.print.business.bean.dto.report;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.distributed.print.business.entity.TRBasicInfo;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 报告课程基本情况dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/2/26
 */
public class ReportCourseBasicInfoDto implements Serializable {

    @ApiModelProperty(value = "课程性质")
    private String courseType;

    @ApiModelProperty(value = "学分")
    private String credit;

    @ApiModelProperty(value = "学时")
    private String period;

    @ApiModelProperty(value = "考核方式")
    private String evaluationMode;

    @ApiModelProperty(value = "开课时间")
    private String openTime;

    @ApiModelProperty(value = "授课对象")
    private String teachingObject;

    @ApiModelProperty(value = "选课人数")
    private Integer selectionCount;

    @ApiModelProperty(value = "参评人数")
    private Integer participantCount;

    @ApiModelProperty(value = "课程目标达成度期望值")
    private Double courseDegree;

    @ApiModelProperty(value = "任课老师")
    private String teacher;

    @ApiModelProperty(value = "评价责任人")
    private String director;

    @ApiModelProperty(value = "评价参与人")
    private String participant;

    public ReportCourseBasicInfoDto() {

    }

    public ReportCourseBasicInfoDto(TRBasicInfo trBasicInfo) {
        this.courseType = trBasicInfo.getCourseType();
        this.credit = trBasicInfo.getCredit();
        this.period = trBasicInfo.getPeriod();
        this.evaluationMode = trBasicInfo.getEvaluationMode();
        this.openTime = trBasicInfo.getOpenTime();
        this.teachingObject = trBasicInfo.getTeachingObject();
        this.selectionCount = trBasicInfo.getSelectionCount();
        this.participantCount = trBasicInfo.getParticipantCount();
        this.courseDegree = trBasicInfo.getCourseDegree();
        this.teacher = trBasicInfo.getTeacher();
        this.director = trBasicInfo.getDirector();
        this.participant = trBasicInfo.getParticipant();
    }

    public String getCredit() {
        return credit;
    }

    public void setCredit(String credit) {
        this.credit = credit;
    }

    public String getPeriod() {
        return period;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public String getCourseType() {
        return courseType;
    }

    public void setCourseType(String courseType) {
        this.courseType = courseType;
    }

    public String getEvaluationMode() {
        return evaluationMode;
    }

    public void setEvaluationMode(String evaluationMode) {
        this.evaluationMode = evaluationMode;
    }

    public String getOpenTime() {
        return openTime;
    }

    public void setOpenTime(String openTime) {
        this.openTime = openTime;
    }

    public String getTeachingObject() {
        return teachingObject;
    }

    public void setTeachingObject(String teachingObject) {
        this.teachingObject = teachingObject;
    }

    public Integer getSelectionCount() {
        return selectionCount;
    }

    public void setSelectionCount(Integer selectionCount) {
        this.selectionCount = selectionCount;
    }

    public Integer getParticipantCount() {
        return participantCount;
    }

    public void setParticipantCount(Integer participantCount) {
        this.participantCount = participantCount;
    }

    public Double getCourseDegree() {
        return courseDegree;
    }

    public void setCourseDegree(Double courseDegree) {
        this.courseDegree = courseDegree;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getDirector() {
        return director;
    }

    public void setDirector(String director) {
        this.director = director;
    }

    public String getParticipant() {
        return participant;
    }

    public void setParticipant(String participant) {
        this.participant = participant;
    }
}
